Page MenuHomePhabricator

[ASTMatchers] Fixed CastKind being parsed incorrectly for dynamic matchers
ClosedPublic

Authored by njames93 on Apr 5 2020, 9:45 AM.

Details

Summary

Requires hasCastKind arguments to have CK_ prefixed to bring it in line with the documentation and other matchers that take enumerations.

Diff Detail

Event Timeline

njames93 created this revision.Apr 5 2020, 9:45 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 5 2020, 9:45 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
njames93 edited reviewers, added: jdoerfert; removed: jroelofs.
njames93 removed a reviewer: jdoerfert.
njames93 updated this revision to Diff 255440.Apr 6 2020, 12:30 PM
  • Added support for giving suggestions on invalid inputs
njames93 updated this revision to Diff 256237.Apr 9 2020, 3:47 AM

Fixed up documentation for CastKind matcher.

Can you also add some unit tests to the dynamic matcher tests?

njames93 updated this revision to Diff 256275.Apr 9 2020, 6:31 AM

Added unit test for matcher

This revision is now accepted and ready to land.Apr 9 2020, 7:05 AM
This revision was automatically updated to reflect the committed changes.